| Nano100AN Series BSP V3.02.002 The Board Support Package for Nano100AN Series

Data Fields
SCLIB_CARD_ATTRIB_T Struct Reference
NANO100 Library » Smartcard Library » Smartcard Library Exported Structs

A structure holds smartcard attribute, including convention, guard time, waiting time, IFCS... etc. More...

`#include <sclib.h>`

## Data Fields
uint8_t | Fi
| F index. More...
uint8_t | Di
| D index. More...
uint8_t | conv
| Convention, direct or inverse. 0 direct, 1 inverse. More...
uint8_t | chksum
| Checksum type. More...
uint8_t | GT
| Guard Time. More...
uint8_t | WI
| Wait integer for T0. More...
uint8_t | BWI
| Block waiting integer for T1;. More...
uint8_t | CWI
| Character waiting integer for T1;. More...
uint8_t | clkStop
| Card clock stop status. 00 Not allowed, 01 low, 02, high, 03 ether high or low. More...
uint8_t | IFSC
| size of negotiated IFCS More...
uint8_t | NAD
| NAD value. More...

## Detailed Description

A structure holds smartcard attribute, including convention, guard time, waiting time, IFCS... etc.

Definition at line 103 of file sclib.h.

## Field Documentation

## ◆ BWI

uint8_t SCLIB_CARD_ATTRIB_T::BWI

Block waiting integer for T1;.

Definition at line 111 of file sclib.h.

## ◆ chksum

uint8_t SCLIB_CARD_ATTRIB_T::chksum

Checksum type.

Definition at line 108 of file sclib.h.

## ◆ clkStop

uint8_t SCLIB_CARD_ATTRIB_T::clkStop

Card clock stop status. 00 Not allowed, 01 low, 02, high, 03 ether high or low.

Definition at line 113 of file sclib.h.

## ◆ conv

uint8_t SCLIB_CARD_ATTRIB_T::conv

Convention, direct or inverse. 0 direct, 1 inverse.

Definition at line 107 of file sclib.h.

## ◆ CWI

uint8_t SCLIB_CARD_ATTRIB_T::CWI

Character waiting integer for T1;.

Definition at line 112 of file sclib.h.

## ◆ Di

uint8_t SCLIB_CARD_ATTRIB_T::Di

D index.

Definition at line 106 of file sclib.h.

## ◆ Fi

uint8_t SCLIB_CARD_ATTRIB_T::Fi

F index.

Definition at line 105 of file sclib.h.

## ◆ GT

uint8_t SCLIB_CARD_ATTRIB_T::GT

Guard Time.

Definition at line 109 of file sclib.h.

## ◆ IFSC

uint8_t SCLIB_CARD_ATTRIB_T::IFSC

size of negotiated IFCS

Definition at line 114 of file sclib.h.

## ◆ NAD

uint8_t SCLIB_CARD_ATTRIB_T::NAD

NAD value.

Definition at line 115 of file sclib.h.

## ◆ WI

uint8_t SCLIB_CARD_ATTRIB_T::WI

Wait integer for T0.

Definition at line 110 of file sclib.h.

The documentation for this struct was generated from the following file:

- C:/Users/yachen/workzone/bsp/nano100absp/Library/SmartcardLib/Include/sclib.h